Bug 1673727 - poppler-21.01.0 is available
Summary: poppler-21.01.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1914074
TreeView+ depends on / blocked
 
Reported: 2019-02-07 21:10 UTC by Upstream Release Monitoring
Modified: 2021-01-19 19:45 UTC (History)
14 users (show)

Fixed In Version: poppler-21.01.0-1.fc34
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-19 19:45:49 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 20.12.0 (#1673727) (1.06 KB, patch)
2020-12-01 23:59 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 20.12.1 (#1673727) (1.06 KB, patch)
2020-12-06 18:00 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 21.01.0 (#1673727) (1.06 KB, patch)
2021-01-02 18:11 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2019-02-07 21:10:19 UTC
Latest upstream release: 0.74.0
Current version/release in rawhide: 0.73.0-1.fc30
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3686/

Comment 1 Upstream Release Monitoring 2019-03-21 00:04:24 UTC
Latest upstream release: 0.75.0
Current version/release in rawhide: 0.73.0-6.fc31
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3686/

Comment 2 Upstream Release Monitoring 2019-04-21 10:24:55 UTC
Latest upstream release: 0.76.0
Current version/release in rawhide: 0.73.0-9.fc31
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3686/

Comment 3 Upstream Release Monitoring 2019-04-30 23:11:07 UTC
Latest upstream release: 0.76.1
Current version/release in rawhide: 0.73.0-9.fc31
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3686/

Comment 4 Upstream Release Monitoring 2019-05-24 23:14:56 UTC
Latest upstream release: 0.77.0 Current version/release in rawhide: 0.73.0-9.fc31 URL: http://poppler.freedesktop.org/ Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoringPlease keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 5 Upstream Release Monitoring 2019-05-24 23:14:59 UTC
Skipping the scratch build because an SRPM could not be built: ['fedpkg', 'sources'] returned 1: b''

Comment 6 Upstream Release Monitoring 2019-06-26 23:13:07 UTC
Latest upstream release: 0.78.0
Current version/release in rawhide: 0.73.0-13.fc31
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 7 Upstream Release Monitoring 2019-06-26 23:13:11 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 8 Upstream Release Monitoring 2019-08-16 14:50:59 UTC
Latest upstream release: 0.79.0
Current version/release in rawhide: 0.73.0-14.fc31
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 9 Upstream Release Monitoring 2019-08-16 14:51:03 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 10 Upstream Release Monitoring 2019-08-22 21:58:49 UTC
Latest upstream release: 0.80.0
Current version/release in rawhide: 0.73.0-14.fc31
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 11 Upstream Release Monitoring 2019-08-22 21:58:53 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 12 Upstream Release Monitoring 2019-09-22 17:02:05 UTC
Latest upstream release: 0.81.0
Current version/release in rawhide: 0.73.0-14.fc31
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 13 Upstream Release Monitoring 2019-09-22 17:02:08 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 14 kunda 2019-10-11 03:14:04 UTC
Any progress on this ?

Comment 15 Marek Kašík 2019-10-11 13:18:19 UTC
Unfortunately, I've missed the Fedora 31 with the rebase. I will rebase this for Fedora 32 since I can not rebase poppler in stable release due to a lot of ABI/API changes and needed rebuilds of other packages.
Poppler has new release every month, so I'll wait for some which will be close to Fedora 32 freeze.

Comment 16 Upstream Release Monitoring 2019-10-25 22:45:42 UTC
Latest upstream release: 0.82.0
Current version/release in rawhide: 0.73.0-14.fc31
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 17 Upstream Release Monitoring 2019-10-25 22:45:46 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 18 Upstream Release Monitoring 2019-11-28 00:11:41 UTC
Latest upstream release: 0.83.0
Current version/release in rawhide: 0.73.0-14.fc31
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 19 Upstream Release Monitoring 2019-11-28 00:11:46 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 20 Upstream Release Monitoring 2019-12-29 01:04:14 UTC
Latest upstream release: 0.84.0
Current version/release in rawhide: 0.73.0-15.fc32
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 21 Upstream Release Monitoring 2019-12-29 01:04:18 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 22 Upstream Release Monitoring 2020-01-29 23:36:57 UTC
Latest upstream release: 0.85.0
Current version/release in rawhide: 0.84.0-1.fc32
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 23 Upstream Release Monitoring 2020-01-29 23:37:01 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 24 Upstream Release Monitoring 2020-02-29 00:32:58 UTC
Latest upstream release: 0.86.0
Current version/release in rawhide: 0.84.0-2.fc32
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 25 Upstream Release Monitoring 2020-02-29 00:33:12 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 26 Upstream Release Monitoring 2020-03-01 20:20:42 UTC
Latest upstream release: 0.86.1
Current version/release in rawhide: 0.84.0-2.fc32
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 27 Upstream Release Monitoring 2020-03-01 20:20:47 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 28 Marek Kašík 2020-03-03 11:51:42 UTC
As usual, I will rebase poppler to newer version at rawhide right before branching of Fedora 33 so that all the rebuilds don't need to go via Bodhi (which is almost impossible with poppler and all its dependants).

Comment 29 Upstream Release Monitoring 2020-03-28 16:08:34 UTC
Latest upstream release: 0.87.0
Current version/release in rawhide: 0.84.0-2.fc32
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 30 Upstream Release Monitoring 2020-03-28 16:08:38 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 31 Upstream Release Monitoring 2020-04-27 21:59:32 UTC
Latest upstream release: 0.88.0
Current version/release in rawhide: 0.84.0-2.fc32
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 32 Upstream Release Monitoring 2020-04-27 21:59:36 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 33 Upstream Release Monitoring 2020-05-28 01:26:44 UTC
Latest upstream release: 0.89.0
Current version/release in rawhide: 0.84.0-2.fc32
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 34 Upstream Release Monitoring 2020-05-28 01:26:49 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 35 Upstream Release Monitoring 2020-07-02 21:25:18 UTC
Latest upstream release: 0.90.0
Current version/release in rawhide: 0.84.0-2.fc32
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 36 Upstream Release Monitoring 2020-07-02 21:25:25 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 37 Marek Kašík 2020-07-10 10:58:23 UTC
I'm building this in side tag f33-build-side-25167 but there are some issues now. I'm working on that.

Comment 38 Upstream Release Monitoring 2020-07-11 17:36:46 UTC
Latest upstream release: 0.90.1
Current version/release in rawhide: 0.84.0-2.fc32
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 39 Upstream Release Monitoring 2020-07-11 17:36:49 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 40 Upstream Release Monitoring 2020-08-01 18:46:12 UTC
Latest upstream release: 20.08.0
Current version/release in rawhide: 0.84.0-2.fc32
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 41 Upstream Release Monitoring 2020-08-01 18:46:16 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 42 Upstream Release Monitoring 2020-09-01 21:34:01 UTC
Latest upstream release: 20.09.0
Current version/release in rawhide: 0.90.0-6.fc33
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 43 Upstream Release Monitoring 2020-09-01 21:34:05 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 44 Upstream Release Monitoring 2020-10-01 21:41:27 UTC
Latest upstream release: 20.10.0
Current version/release in rawhide: 0.90.0-6.fc33
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 45 Upstream Release Monitoring 2020-10-01 21:41:31 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 46 Upstream Release Monitoring 2020-11-01 19:45:04 UTC
Latest upstream release: 20.11.0
Current version/release in rawhide: 0.90.0-7.fc34
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 47 Upstream Release Monitoring 2020-11-01 19:45:08 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- poppler-test-2018-12-18-45f55f1e03b9bf3fbd334c31776b6f5e472889ec.tar.xz

Comment 48 Upstream Release Monitoring 2020-12-01 23:59:48 UTC
Latest upstream release: 20.12.0
Current version/release in rawhide: 0.90.0-7.fc34
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 49 Upstream Release Monitoring 2020-12-01 23:59:58 UTC
Created attachment 1735428 [details]
[patch] Update to 20.12.0 (#1673727)

Comment 50 Upstream Release Monitoring 2020-12-06 18:00:33 UTC
Latest upstream release: 20.12.1
Current version/release in rawhide: 0.90.0-7.fc34
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 51 Upstream Release Monitoring 2020-12-06 18:00:41 UTC
Created attachment 1737039 [details]
[patch] Update to 20.12.1 (#1673727)

Comment 52 Upstream Release Monitoring 2020-12-06 18:05:03 UTC
the-new-hotness/release-monitoring.org's scratch build of poppler-20.12.1-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=56914925

Comment 53 Elliott Sales de Andrade 2021-01-02 01:50:17 UTC
We're coming up on the branch for F34 now and this is almost two years behind. Debian unstable is only a couple versions back; surely this can't break that much?

Comment 54 Upstream Release Monitoring 2021-01-02 18:11:53 UTC
Latest upstream release: 21.01.0
Current version/release in rawhide: 0.90.0-8.fc34
URL: http://poppler.freedesktop.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3686/

Comment 55 Upstream Release Monitoring 2021-01-02 18:11:59 UTC
Created attachment 1743872 [details]
[patch] Update to 21.01.0 (#1673727)

Comment 56 Upstream Release Monitoring 2021-01-02 18:17:38 UTC
the-new-hotness/release-monitoring.org's scratch build of poppler-21.01.0-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=58785963

Comment 57 Marek Kašík 2021-01-04 13:34:44 UTC
(In reply to Elliott Sales de Andrade from comment #53)
> We're coming up on the branch for F34 now and this is almost two years
> behind. Debian unstable is only a couple versions back; surely this can't
> break that much?

I usually rebase poppler right before branching.
We have poppler-0.90.0 in F33 which is 6 months old and corresponds to previous sentence.
This bug is updated every month so it usually says that there is newer poppler than the one I've prepared which is true so I keep it open.
It took me usually a lot of time to rebase poppler since I helped to adapt the packages which depend on poppler's unstable API. I moved more of this responsibility to maintainers of those packages but they still need the time so I'm not going to rebase poppler more often.

Regards

Comment 58 Carl George 🤠 2021-01-05 03:42:10 UTC
Marek, I'm curious how rawhide still has 0.90.0 but CentOS Stream 8 (RHEL 8.4) was rebased all the way from 0.66.0 to 20.11.0.  Shouldn't the new version be in rawhide first?

Comment 59 Marek Kašík 2021-01-05 16:18:32 UTC
(In reply to Carl George 🤠 from comment #58)
> Marek, I'm curious how rawhide still has 0.90.0 but CentOS Stream 8 (RHEL 8.4) was rebased all the way from 0.66.0 to 20.11.0.  Shouldn't the new version be in rawhide first?

Hi Carl,

poppler is very well maintained by its upstream and I trust that its new stable releases are really stable. The situation where there is a newer version in CentOS Stream than in Rawhide is just about the timing. I've started to work on the rebase of poppler to 21.01.0 in Rawhide yesterday and on the RHEL version at the beginning of November.
If there is a hard policy "Fedora first" point me to it please, poppler should be an exception in such case.

Beware that it takes some time to prepare the rebase in Fedora so I don't rebase it more often. I have to prepare the package, notify other maintainers about the change, give them some time to adapt and rebuild their packages in side tag, adapt and rebuild packages which were not rebuilt yet and then I can finally merge the side tag to main branch. But this has to be done before branching since it is much harder to get it in after branching. As a bonus, this time it includes migrating 2 small packages from poppler-qt4 to qt5 since the qt4 frontend was removed in 0.62.0 and we are maintaining it since then in Fedora only.

I hope that this has clarified how we got to the current state.

Comment 60 Carl George 🤠 2021-01-05 18:27:38 UTC
That's all understandable.  Historically this probably wouldn't have even been noticed publicly due to the long lead time before RHEL 8.4 GA.  But with CentOS Stream these changes are visible sooner, and we need to be mindful of how that looks.  CS is suffering from a lot of FUD right now, especially related to the concept of stability.  Our critics won't be kind if they see that CS routinely has newer packages than rawhide.  Most would expect that when RHEL rebases a package to a newer upstream version, we would select a version that has already been proven in Fedora.  It's great that poppler is well maintained upstream, but there is always a non-zero chance for regressions or new bugs.  It's a bad look if that happens and it's from a version change that didn't go through Fedora first.

Regarding upstream first, I don't think there is a hard policy, but that is the longstanding status quo for how we operate.  I don't see why poppler would merit an exception to this practice.

https://opensource.com/article/16/12/why-red-hat-takes-upstream-first-approach
https://www.redhat.com/en/blog/what-open-source-upstream

Comment 61 Fedora Update System 2021-01-19 19:45:49 UTC
FEDORA-2021-58a55cf2ea has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.